Package org.apache.cayenne.configuration.rop.client

# Class ClientConstants

java.lang.Object
org.apache.cayenne.configuration.rop.client.ClientConstants

public class ClientConstants extends Object
Defines the names of runtime properties and named collections used in DI modules related to ROP client.

Since:
  4.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ROP_CHANNEL_EVENTS_PROPERTY`
  `static final String`
  `ROP_CONTEXT_CHANGE_EVENTS_PROPERTY`
  `static final String`
  `ROP_CONTEXT_LIFECYCLE_EVENTS_PROPERTY`
  `static final String`
  `ROP_SERVICE_PASSWORD_PROPERTY`
  `static final String`
  `ROP_SERVICE_REALM_PROPERTY`
  `static final String`
  `ROP_SERVICE_SHARED_SESSION_PROPERTY`
  `static final String`
  `ROP_SERVICE_TIMEOUT_PROPERTY`
  `static final String`
  `ROP_SERVICE_URL_PROPERTY`
  `static final String`
  `ROP_SERVICE_USE_ALPN_PROPERTY`
  A boolean property that defines whether ALPN should be used.
  `static final String`
  `ROP_SERVICE_USERNAME_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ROP_SERVICE_URL_PROPERTY

    public static final String ROP_SERVICE_URL_PROPERTY
    See Also:
      - Constant Field Values

  - ### ROP_SERVICE_USERNAME_PROPERTY

    public static final String ROP_SERVICE_USERNAME_PROPERTY
    See Also:
      - Constant Field Values

  - ### ROP_SERVICE_PASSWORD_PROPERTY

    public static final String ROP_SERVICE_PASSWORD_PROPERTY
    See Also:
      - Constant Field Values

  - ### ROP_SERVICE_REALM_PROPERTY

    public static final String ROP_SERVICE_REALM_PROPERTY
    See Also:
      - Constant Field Values

  - ### ROP_SERVICE_USE_ALPN_PROPERTY

    public static final String ROP_SERVICE_USE_ALPN_PROPERTY
    A boolean property that defines whether ALPN should be used. Possible values are "true" or "false".
    See Also:
      - Constant Field Values

  - ### ROP_SERVICE_SHARED_SESSION_PROPERTY

    public static final String ROP_SERVICE_SHARED_SESSION_PROPERTY
    See Also:
      - Constant Field Values

  - ### ROP_SERVICE_TIMEOUT_PROPERTY

    public static final String ROP_SERVICE_TIMEOUT_PROPERTY
    See Also:
      - Constant Field Values

  - ### ROP_CHANNEL_EVENTS_PROPERTY

    public static final String ROP_CHANNEL_EVENTS_PROPERTY
    See Also:
      - Constant Field Values

  - ### ROP_CONTEXT_CHANGE_EVENTS_PROPERTY

    public static final String ROP_CONTEXT_CHANGE_EVENTS_PROPERTY
    See Also:
      - Constant Field Values

  - ### ROP_CONTEXT_LIFECYCLE_EVENTS_PROPERTY

    public static final String ROP_CONTEXT_LIFECYCLE_EVENTS_PROPERTY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ClientConstants

    public ClientConstants()